
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>services.brms module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-services.brms">
<span id="services-brms-module"></span><h1>services.brms module<a class="headerlink" href="#module-services.brms" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="services.brms.WorkflowGateway">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">WorkflowGateway</code><a class="headerlink" href="#services.brms.WorkflowGateway" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="method">
<dt id="services.brms.WorkflowGateway.restore">
<em class="property">static </em><code class="sig-name descname">restore</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em><span class="sig-paren">)</span> &#x2192; entity.workflow.Workflow<a class="headerlink" href="#services.brms.WorkflowGateway.restore" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.brms.WorkflowGateway.save">
<em class="property">static </em><code class="sig-name descname">save</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow: entity.workflow.Workflow</em>, <em class="sig-param">*</em>, <em class="sig-param">strict: bool = True</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.WorkflowGateway.save" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.ScenarioGateway">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">ScenarioGateway</code><a class="headerlink" href="#services.brms.ScenarioGateway" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="method">
<dt id="services.brms.ScenarioGateway.restore">
<em class="property">static </em><code class="sig-name descname">restore</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">scenario_id: int</em>, <em class="sig-param">workflow: entity.workflow.Workflow</em>, <em class="sig-param">execution_schema: str</em>, <em class="sig-param">output_schema: str</em><span class="sig-paren">)</span> &#x2192; entity.scenario.ETLScenario<a class="headerlink" href="#services.brms.ScenarioGateway.restore" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="services.brms.ScenarioGateway.save">
<em class="property">static </em><code class="sig-name descname">save</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">scenario: entity.scenario.ETLScenario</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.ScenarioGateway.save" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.CreateWorkflow">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">CreateWorkflow</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workspace_id: int</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.CreateWorkflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.CreateWorkflow.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.CreateWorkflow.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.AddWorkflowMeta">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">AddWorkflowMeta</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">name: str</em>, <em class="sig-param">description: str</em>, <em class="sig-param">selected_datasets: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.AddWorkflowMeta" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.AddWorkflowMeta.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.AddWorkflowMeta.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.AddRule">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">AddRule</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">rule_name: str</em>, <em class="sig-param">user_input: str</em>, <em class="sig-param">output: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.AddRule" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.AddRule.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.AddRule.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.UpdateRule">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">UpdateRule</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">rule_name: str</em>, <em class="sig-param">user_input: str</em>, <em class="sig-param">output: str</em>, <em class="sig-param">rule_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.UpdateRule" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.UpdateRule.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.UpdateRule.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.DeleteRule">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">DeleteRule</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">rule_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.DeleteRule" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.DeleteRule.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.DeleteRule.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.SaveWorkflow">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">SaveWorkflow</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.SaveWorkflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.SaveWorkflow.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.SaveWorkflow.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.PublishWorkflow">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">PublishWorkflow</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.PublishWorkflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.PublishWorkflow.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.PublishWorkflow.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.GetWorkflow">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">GetWorkflow</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.GetWorkflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.GetWorkflow.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.GetWorkflow.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.VisualizeWorkflow">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">VisualizeWorkflow</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.VisualizeWorkflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.VisualizeWorkflow.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.VisualizeWorkflow.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.EditWorkflow">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">EditWorkflow</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.EditWorkflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.EditWorkflow.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.EditWorkflow.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.CopyWorkflow">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">CopyWorkflow</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.CopyWorkflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.CopyWorkflow.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.CopyWorkflow.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.AddParameterDefinition">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">AddParameterDefinition</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">parameter_name: str</em>, <em class="sig-param">help_text: str</em>, <em class="sig-param">description: str</em>, <em class="sig-param">config_type: str</em>, <em class="sig-param">config_value: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.AddParameterDefinition" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.AddParameterDefinition.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.AddParameterDefinition.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.GetParameterValues">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">GetParameterValues</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.GetParameterValues" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.GetParameterValues.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.GetParameterValues.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.brms.ExecuteScenario">
<em class="property">class </em><code class="sig-prename descclassname">services.brms.</code><code class="sig-name descname">ExecuteScenario</code><span class="sig-paren">(</span><em class="sig-param">session: sqlalchemy.orm.session.Session</em>, <em class="sig-param">scenario_id: int</em>, <em class="sig-param">workflow_id: str</em>, <em class="sig-param">execution_schema: str = 'brms_instance'</em>, <em class="sig-param">output_schema: str = 'brms_output'</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.ExecuteScenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.brms.ExecuteScenario.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.brms.ExecuteScenario.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/services.brms.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>